<?xml version="1.0" encoding="utf-8"?>
<com.sothree.slidinguppanel.SlidingUpPanelLayout
		android:id="@+id/sliding_layout"
		android:gravity="bottom"
		app:umanoPanelHeight="0dp"
		app:umanoShadowHeight="4dp"
		app:umanoOverlay="true"
		xmlns:android="http://schemas.android.com/apk/res/android"
		xmlns:tools="http://schemas.android.com/tools"
		xmlns:app="http://schemas.android.com/apk/res-auto"
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		tools:context="id.andalan.andalanku.ui.preloader.PreloaderActivity">
	
	<androidx.constraintlayout.widget.ConstraintLayout
	  android:layout_width="match_parent"
	  android:layout_height="match_parent">
		<ImageView
				android:layout_width="0dp" android:layout_height="0dp" android:src="@drawable/bg_preloader"
				android:scaleType="fitXY"
				app:layout_constraintHeight_percent="0.7"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintTop_toTopOf="parent"
				app:layout_constraintBottom_toTopOf="@+id/btn_login"
				app:layout_constraintVertical_chainStyle="spread_inside"
				android:id="@+id/bg_preloader" app:layout_constraintHorizontal_bias="0.0"/>

		<ImageView
				android:id="@+id/ic_logo"
				android:layout_marginTop="60dp"
				android:layout_width="200dp" android:layout_height="90dp" android:src="@drawable/ic_logo"
				app:layout_constraintTop_toTopOf="@+id/bg_preloader" app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintStart_toStartOf="parent" app:layout_constraintBottom_toTopOf="@+id/intro_text"
				app:layout_constraintVertical_chainStyle="spread_inside"/>

		<TextView
				android:textAppearance="@style/TextAppearance.base12.white"
				android:layout_width="match_parent"
				android:layout_height="0dp"
				android:gravity="center|top"
				android:id="@+id/intro_text"
				android:text="@string/intro_text"
				android:layout_marginTop="13dp"
				app:layout_constraintBottom_toTopOf="@+id/rv_menu"
				app:layout_constraintEnd_toEndOf="parent" android:layout_marginEnd="55dp"
				android:layout_marginRight="55dp"
				app:layout_constraintStart_toStartOf="parent" android:layout_marginLeft="55dp"
				android:layout_marginStart="55dp"
				app:layout_constraintTop_toBottomOf="@+id/ic_logo"/>

		<androidx.recyclerview.widget.RecyclerView
				android:layout_width="wrap_content" android:layout_height="wrap_content"
				android:id="@+id/rv_menu"
				android:orientation="horizontal"
				android:paddingBottom="43dp"
				app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
				app:layout_constraintTop_toBottomOf="@+id/intro_text"
				app:layout_constraintBottom_toBottomOf="@+id/bg_preloader"
				tools:listitem="@layout/item_menu_preloader"
				app:layout_constraintStart_toStartOf="parent" app:layout_constraintEnd_toEndOf="parent"/>

		<Button
				android:id="@+id/btn_login"
				android:text="@string/login"
				style="@style/TextAppearanceMedium.base16.Button"
				android:textColor="@color/snow"
				android:enabled="true" android:background="@drawable/bg_orange_button"
				app:layout_constraintTop_toBottomOf="@+id/bg_preloader"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintBottom_toTopOf="@+id/term_condition_text"/>
		
		<TextView
		  android:layout_width="wrap_content" android:layout_height="wrap_content"
		  android:id="@+id/term_condition_text"
		  style="@style/TextAppearance.base16"
		  android:text="@string/term_condition"
		  android:textColor="@color/textDark"
		  app:layout_constraintTop_toBottomOf="@+id/btn_login" app:layout_constraintEnd_toEndOf="parent"
		  app:layout_constraintStart_toStartOf="parent"
		  app:layout_constraintBottom_toBottomOf="parent"
		  android:layout_marginBottom="22dp"
		  app:layout_constraintVertical_weight="1"
		/>
	</androidx.constraintlayout.widget.ConstraintLayout>
	<androidx.cardview.widget.CardView
			android:id="@+id/drag_view"
			android:orientation="vertical"
			android:background="@color/snow"
			app:cardCornerRadius="10dp"
			app:cardElevation="0dp"
			android:layout_width="match_parent" android:layout_height="wrap_content">
		<LinearLayout
				android:orientation="vertical"
				android:layout_width="match_parent" android:layout_height="wrap_content">
			<include layout="@layout/top_drag_view" />
			<include layout="@layout/item_drag_view" />
		</LinearLayout>
	</androidx.cardview.widget.CardView>
</com.sothree.slidinguppanel.SlidingUpPanelLayout>